Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantdisplaypage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantdisplaypage.pt	(revision 11037)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantdisplaypage.pt	(revision 11040)
@@ -41,27 +41,25 @@
     Application Fee Payment Tickets
 </h3>
-<div class="table-responsive">
-  <table i18n:domain="waeup.kofa" class="table table-condensed">
-    <thead>
-      <tr>
-        <th i18n:translate="">Payment Id</th>
-        <th i18n:translate="">Creation Date</th>
-        <th i18n:translate="">Payment Date</th>
-        <th i18n:translate="">Category</th>
-        <th i18n:translate="">Item</th>
-        <th i18n:translate="">State</th>
-      </tr>
-    </thead>
-    <tbody>
-      <tr tal:repeat="value context/values">
-        <td> <a tal:attributes="href python:view.url(value)">
-        <span tal:content="value/p_id">PID</span></a></td>
-        <td tal:content="python: layout.formatDatetime(value.creation_date)">CREATION DATE</td>
-        <td tal:content="python: layout.formatDatetime(value.payment_date)">PAYMENT DATE</td>
-        <td tal:content ="value/category">CATEGORY</td>
-        <td tal:content ="value/display_item">ITEM</td>
-        <td tal:content ="value/p_state_title">STATE</td>
-      </tr>
-    </tbody>
-  </table>
-</div>
+<table i18n:domain="waeup.kofa" class="table table-condensed">
+  <thead>
+    <tr>
+      <th i18n:translate="">Payment Id</th>
+      <th i18n:translate="">Creation Date</th>
+      <th i18n:translate="">Payment Date</th>
+      <th i18n:translate="">Category</th>
+      <th i18n:translate="">Item</th>
+      <th i18n:translate="">State</th>
+    </tr>
+  </thead>
+  <tbody>
+    <tr tal:repeat="value context/values">
+      <td> <a tal:attributes="href python:view.url(value)">
+      <span tal:content="value/p_id">PID</span></a></td>
+      <td tal:content="python: layout.formatDatetime(value.creation_date)">CREATION DATE</td>
+      <td tal:content="python: layout.formatDatetime(value.payment_date)">PAYMENT DATE</td>
+      <td tal:content ="value/category">CATEGORY</td>
+      <td tal:content ="value/display_item">ITEM</td>
+      <td tal:content ="value/p_state_title">STATE</td>
+    </tr>
+  </tbody>
+</table>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt	(revision 11037)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt	(revision 11040)
@@ -84,36 +84,34 @@
   </h3>
 
-  <div class="table-responsive">
-    <table i18n:domain="waeup.kofa" class="table table-condensed">
-      <thead>
-      <tr>
-        <th>&nbsp;</th>
-        <th i18n:translate="">Payment Id</th>
-        <th i18n:translate="">Creation Date</th>
-        <th i18n:translate="">Payment Date</th>
-        <th i18n:translate="">Category</th>
-        <th i18n:translate="">Item</th>
-        <th i18n:translate="">State</th>
+  <table i18n:domain="waeup.kofa" class="table table-condensed">
+    <thead>
+    <tr>
+      <th>&nbsp;</th>
+      <th i18n:translate="">Payment Id</th>
+      <th i18n:translate="">Creation Date</th>
+      <th i18n:translate="">Payment Date</th>
+      <th i18n:translate="">Category</th>
+      <th i18n:translate="">Item</th>
+      <th i18n:translate="">State</th>
+    </tr>
+    </thead>
+    <tbody>
+      <tr tal:repeat="cl context/values">
+         <td>
+          <input type="checkbox"
+    		 name="val_id"
+    		 tal:attributes="value cl/__name__"
+         tal:condition="python: not view.unremovable(cl)" />
+        </td>
+        <td> <a tal:attributes="href python:view.url(cl)">
+        <span tal:content="cl/p_id">PID</span></a></td>
+        <td tal:content="python: layout.formatDatetime(cl.creation_date)">CREATION DATE</td>
+        <td tal:content="python: layout.formatDatetime(cl.payment_date)">PAYMENT DATE</td>
+      <td tal:content ="cl/category">CATEGORY</td>
+      <td tal:content ="cl/display_item">ITEM</td>
+      <td tal:content ="cl/p_state_title">STATE</td>
       </tr>
-      </thead>
-      <tbody>
-        <tr tal:repeat="cl context/values">
-           <td>
-            <input type="checkbox"
-      		 name="val_id"
-      		 tal:attributes="value cl/__name__"
-           tal:condition="python: not view.unremovable(cl)" />
-          </td>
-          <td> <a tal:attributes="href python:view.url(cl)">
-          <span tal:content="cl/p_id">PID</span></a></td>
-          <td tal:content="python: layout.formatDatetime(cl.creation_date)">CREATION DATE</td>
-          <td tal:content="python: layout.formatDatetime(cl.payment_date)">PAYMENT DATE</td>
-        <td tal:content ="cl/category">CATEGORY</td>
-        <td tal:content ="cl/display_item">ITEM</td>
-        <td tal:content ="cl/p_state_title">STATE</td>
-        </tr>
-      </tbody>
-    </table>
-  </div>
+    </tbody>
+  </table>
 
   <div tal:condition="view/availableActions">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 11037)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 11040)
@@ -37,45 +37,43 @@
     <tal:showApplicants  condition="view/showApplicants">
       <br />
-      <div class="table-responsive">
-        <table class="dataTableManage">
-          <thead>
-            <tr>
-              <th>&nbsp;
-              </th>
-              <th i18n:translate="">Application Number
-              </th>
-              <th i18n:translate="">Full Name
-              </th>
-              <th i18n:translate="">First Choice
-              </th>
-              <th i18n:translate="">Application State
-              </th>
-            </tr>
-          </thead>
-          <tbody>
-            <tr tal:repeat="appl context/values">
-              <td>
-                <input type="checkbox" name="val_id" tal:attributes="value appl/__name__" />
-              </td>
-              <td>
-                <a tal:attributes="href python: view.url(appl)"
-                   tal:content="appl/__name__">NUMBER</a>
-              </td>
-              <td>
-                <span tal:replace="appl/display_fullname">FULLNAME
-                </span>
-              </td>
-              <td>
-                <span tal:replace="appl/course1/code|nothing">FIRSTCHOICE
-                </span>
-              </td>
-              <td>
-                <span tal:replace="appl/translated_state">STATE
-                </span>
-              </td>
-            </tr>
-          </tbody>
-        </table>
-      </div>
+      <table class="dataTableManage">
+        <thead>
+          <tr>
+            <th>&nbsp;
+            </th>
+            <th i18n:translate="">Application Number
+            </th>
+            <th i18n:translate="">Full Name
+            </th>
+            <th i18n:translate="">First Choice
+            </th>
+            <th i18n:translate="">Application State
+            </th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="appl context/values">
+            <td>
+              <input type="checkbox" name="val_id" tal:attributes="value appl/__name__" />
+            </td>
+            <td>
+              <a tal:attributes="href python: view.url(appl)"
+                 tal:content="appl/__name__">NUMBER</a>
+            </td>
+            <td>
+              <span tal:replace="appl/display_fullname">FULLNAME
+              </span>
+            </td>
+            <td>
+              <span tal:replace="appl/course1/code|nothing">FIRSTCHOICE
+              </span>
+            </td>
+            <td>
+              <span tal:replace="appl/translated_state">STATE
+              </span>
+            </td>
+          </tr>
+        </tbody>
+      </table>
       <input type="checkbox" onClick="toggle(this, 'val_id')" />
       <span  i18n:translate="">Select all</span>
@@ -104,29 +102,27 @@
     </div>
     <div id="tab3" class="tab-pane"> <br />
-      <div class="table-responsive">
-        <table class="dataTableManage">
-          <thead>
-            <tr>
-              <th>&nbsp;
-              </th>
-              <th i18n:translate="">User Id
-              </th>
-              <th i18n:translate="">Name
-              </th>
-              <th i18n:translate="">Local Role
-              </th>
-            </tr>
-          </thead>
-          <tbody>
-            <tr tal:repeat="entry view/getUsersWithLocalRoles"> <td>
-                <input type="checkbox" name="role_id"
-                  tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
-              <td tal:content="entry/user_name"> USERNAME  </td>
-              <td tal:content="entry/user_title"> USERTITLE  </td>
-              <td tal:content="entry/local_role_title"> LOCAL ROLE  </td>
-            </tr>
-          </tbody>
-        </table>
-      </div>
+      <table class="dataTableManage">
+        <thead>
+          <tr>
+            <th>&nbsp;
+            </th>
+            <th i18n:translate="">User Id
+            </th>
+            <th i18n:translate="">Name
+            </th>
+            <th i18n:translate="">Local Role
+            </th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles"> <td>
+              <input type="checkbox" name="role_id"
+                tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" /> </td>
+            <td tal:content="entry/user_name"> USERNAME  </td>
+            <td tal:content="entry/user_title"> USERTITLE  </td>
+            <td tal:content="entry/local_role_title"> LOCAL ROLE  </td>
+          </tr>
+        </tbody>
+      </table>
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 11037)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 11040)
@@ -41,34 +41,32 @@
         Please be patient until all records have been loaded.
       </p>
-      <div class="table-responsive">
-        <table class="dataTableManage">
-          <thead>
-            <tr>
-              <th>&nbsp;
-              </th>
-              <th i18n:translate="">Year
-              </th>
-              <th i18n:translate="">Code
-              </th>
-              <th i18n:translate="">Title
-              </th>
-              <th i18n:translate="">Records
-              </th>
-            </tr>
-          </thead>
-          <tbody>
-            <tr tal:repeat="entry context/values"> <td>
-                <input type="checkbox" name="val_id"
-                  tal:attributes="value entry/__name__" /> </td>
-              <td tal:content="entry/year">YEAR</td> <td>
-                <a href=""
-                  tal:attributes="href python:view.url(entry) + '/manage'"
-                  tal:content="entry/__name__">CODE</a> </td>
-              <td tal:content="entry/title">TITLE</td>
-              <td tal:content="python:len(entry)">YEAR</td>
-            </tr>
-          </tbody>
-        </table>
-      </div>
+      <table class="dataTableManage">
+        <thead>
+          <tr>
+            <th>&nbsp;
+            </th>
+            <th i18n:translate="">Year
+            </th>
+            <th i18n:translate="">Code
+            </th>
+            <th i18n:translate="">Title
+            </th>
+            <th i18n:translate="">Records
+            </th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="entry context/values"> <td>
+              <input type="checkbox" name="val_id"
+                tal:attributes="value entry/__name__" /> </td>
+            <td tal:content="entry/year">YEAR</td> <td>
+              <a href=""
+                tal:attributes="href python:view.url(entry) + '/manage'"
+                tal:content="entry/__name__">CODE</a> </td>
+            <td tal:content="entry/title">TITLE</td>
+            <td tal:content="python:len(entry)">YEAR</td>
+          </tr>
+        </tbody>
+      </table>
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
@@ -80,29 +78,27 @@
     <div id="tab3" class="tab-pane">
       <br />
-      <div class="table-responsive">
-        <table class="dataTableManage">
-          <thead>
-            <tr>
-              <th>&nbsp;
-              </th>
-              <th i18n:translate="">User Id
-              </th>
-              <th i18n:translate="">Name
-              </th>
-              <th i18n:translate="">Local Role
-              </th>
-            </tr>
-          </thead>
-          <tbody>
-            <tr tal:repeat="entry view/getUsersWithLocalRoles">
-              <td> <input type="checkbox" name="role_id"
-                      tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />  </td>
-              <td tal:content="entry/user_name">USERNAME</td>
-              <td tal:content="entry/user_title">USERTITLE</td>
-              <td tal:content="entry/local_role_title">LOCAL ROLE</td>
-            </tr>
-          </tbody>
-        </table>
-      </div>
+      <table class="dataTableManage">
+        <thead>
+          <tr>
+            <th>&nbsp;
+            </th>
+            <th i18n:translate="">User Id
+            </th>
+            <th i18n:translate="">Name
+            </th>
+            <th i18n:translate="">Local Role
+            </th>
+          </tr>
+        </thead>
+        <tbody>
+          <tr tal:repeat="entry view/getUsersWithLocalRoles">
+            <td> <input type="checkbox" name="role_id"
+                    tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />  </td>
+            <td tal:content="entry/user_name">USERNAME</td>
+            <td tal:content="entry/user_title">USERTITLE</td>
+            <td tal:content="entry/local_role_title">LOCAL ROLE</td>
+          </tr>
+        </tbody>
+      </table>
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt	(revision 11037)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt	(revision 11040)
@@ -20,28 +20,26 @@
     <input type="hidden" name="old_searchtype"
          tal:attributes="value view/searchtype" />
-    <div class="table-responsive">
-      <table class="display dataTable">
-        <thead>
-        <tr>
-          <th i18n:translate="">Applicant Id</th>
-          <th i18n:translate="">Reg. Number</th>
-          <th i18n:translate="">Application State</th>
-          <th i18n:translate="">Full Name</th>
-        </tr>
-        </thead>
-        <tbody>
-        <tr tal:repeat="item view/results" class="gradeC">
-          <td> <a tal:attributes="href python:view.url(item)">
-            <span tal:content="item/applicant_id">XXXX_1234</span></a>
-          </td>
-          <td class="center">
-            <span tal:content="item/reg_number">9999999</span>
-          </td>
-          <td tal:content="item/state">admitted</td>
-          <td tal:content="item/display_fullname">Bob</td>
-        </tr>
-        </tbody>
-      </table>
-    </div>
+    <table class="display dataTable">
+      <thead>
+      <tr>
+        <th i18n:translate="">Applicant Id</th>
+        <th i18n:translate="">Reg. Number</th>
+        <th i18n:translate="">Application State</th>
+        <th i18n:translate="">Full Name</th>
+      </tr>
+      </thead>
+      <tbody>
+      <tr tal:repeat="item view/results" class="gradeC">
+        <td> <a tal:attributes="href python:view.url(item)">
+          <span tal:content="item/applicant_id">XXXX_1234</span></a>
+        </td>
+        <td class="center">
+          <span tal:content="item/reg_number">9999999</span>
+        </td>
+        <td tal:content="item/state">admitted</td>
+        <td tal:content="item/display_fullname">Bob</td>
+      </tr>
+      </tbody>
+    </table>
   </div>
 </form>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/exportjobsindex.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/exportjobsindex.pt	(revision 11037)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/exportjobsindex.pt	(revision 11040)
@@ -1,57 +1,55 @@
-<div class="table-responsive">
-  <table i18n:domain="waeup.kofa" class="table table-condensed table-hover">
-    <thead>
-      <tr>
-        <th i18n:translate="">Export Number</th>
-        <th i18n:translate="">Exporter</th>
-        <th i18n:translate="">Filter</th>
-        <th i18n:translate="">Creator</th>
-        <th i18n:translate="">Creation Date</th>
-        <th i18n:translate="">Status</th>
-        <th>&nbsp;</th>
-      </tr>
-    </thead>
-    <tbody>
-      <tr tal:repeat="job view/entries">
-        <td>
-          <span tal:replace="job/job">12</span>
-        </td>
-        <td>
-          <span tal:replace="structure job/exporter">EXPORTER</span>
-        </td>
-        <td>
-          <span tal:replace="structure job/args">ARGS</span>
-        </td>
-        <td>
-          <span tal:replace="job/creator">CREATOR</span>
-        </td>
-        <td>
-          <span tal:replace="job/start_time">DATETIME</span>
-        </td>
-        <td>
-          <span tal:replace="job/status">STATUS</span>
-        </td>
-        <td nowrap>
-          <a href="" class="btn btn-default btn-xs" i18n:translate=""
-             tal:condition="job/show_refresh_button">
-            <img tal:attributes="src static/actionicon_reload.png" />
-            Reload
-          </a>
-          <form method="POST">
-            <a href="" class="btn btn-primary btn-xs"
-                   tal:attributes="href job/download_url"
-                   tal:condition="job/show_download_button">
-              Download</a>
-            <input type="hidden" name="job_id"
-                   tal:attributes="value job/job" />
-            <input type="submit" class="btn btn-default btn-xs"
-                   name="DISCARD" value="Discard"
-                   tal:condition="job/show_discard_button" />
-          </form>
-        </td>
-      </tr>
-    </tbody>
-  </table>
-</div>
+<table i18n:domain="waeup.kofa" class="table table-condensed table-hover">
+  <thead>
+    <tr>
+      <th i18n:translate="">Export Number</th>
+      <th i18n:translate="">Exporter</th>
+      <th i18n:translate="">Filter</th>
+      <th i18n:translate="">Creator</th>
+      <th i18n:translate="">Creation Date</th>
+      <th i18n:translate="">Status</th>
+      <th>&nbsp;</th>
+    </tr>
+  </thead>
+  <tbody>
+    <tr tal:repeat="job view/entries">
+      <td>
+        <span tal:replace="job/job">12</span>
+      </td>
+      <td>
+        <span tal:replace="structure job/exporter">EXPORTER</span>
+      </td>
+      <td>
+        <span tal:replace="structure job/args">ARGS</span>
+      </td>
+      <td>
+        <span tal:replace="job/creator">CREATOR</span>
+      </td>
+      <td>
+        <span tal:replace="job/start_time">DATETIME</span>
+      </td>
+      <td>
+        <span tal:replace="job/status">STATUS</span>
+      </td>
+      <td nowrap>
+        <a href="" class="btn btn-default btn-xs" i18n:translate=""
+           tal:condition="job/show_refresh_button">
+          <img tal:attributes="src static/actionicon_reload.png" />
+          Reload
+        </a>
+        <form method="POST">
+          <a href="" class="btn btn-primary btn-xs"
+                 tal:attributes="href job/download_url"
+                 tal:condition="job/show_download_button">
+            Download</a>
+          <input type="hidden" name="job_id"
+                 tal:attributes="value job/job" />
+          <input type="submit" class="btn btn-default btn-xs"
+                 name="DISCARD" value="Discard"
+                 tal:condition="job/show_discard_button" />
+        </form>
+      </td>
+    </tr>
+  </tbody>
+</table>
 
 <form method="POST" i18n:domain="waeup.kofa">