Index: /main/waeup.kofa/branches/uli-diazo-themed/layout/rules.xml
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/layout/rules.xml	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/layout/rules.xml	(revision 11051)
@@ -94,5 +94,5 @@
 
     <drop css:theme="script.kofa-script-datatable"
-          css:if-not-content="table.data-table" />
+          css:if-not-content="table.kofa-data-table" />
 
 <!--
@@ -151,7 +151,7 @@
     <!-- Make all data tables responsive -->
 
-    <replace css:content="table.data-table">
+    <replace css:content="table.kofa-data-table">
       <div class="table-responsive">
-        <xsl:apply-templates css:select="table.data-table" mode="raw"/>
+        <xsl:apply-templates css:select="table.kofa-data-table" mode="raw"/>
       </div>
     </replace>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/searchpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/searchpage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/accesscodes/browser_templates/searchpage.pt	(revision 11051)
@@ -23,5 +23,5 @@
     <input type="hidden" name="old_searchtype"
          tal:attributes="value view/searchtype" />
-    <table class="dataTableManage">
+    <table class="kofa-data-table dataTableManage">
       <thead>
       <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 11051)
@@ -37,5 +37,5 @@
     <tal:showApplicants  condition="view/showApplicants">
       <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
@@ -102,5 +102,5 @@
     </div>
     <div id="tab3" class="tab-pane"> <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 11051)
@@ -41,5 +41,5 @@
         Please be patient until all records have been loaded.
       </p>
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
@@ -78,5 +78,5 @@
     <div id="tab3" class="tab-pane">
       <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt	(revision 11051)
@@ -20,5 +20,5 @@
     <input type="hidden" name="old_searchtype"
          tal:attributes="value view/searchtype" />
-    <table class="display dataTable">
+    <table class="kofa-data-table dataTable">
       <thead>
       <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatemanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatemanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatemanagepage.pt	(revision 11051)
@@ -32,5 +32,5 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
@@ -91,5 +91,5 @@
     <div id="tab3" class="tab-pane">
       <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/certificatepage.pt	(revision 11051)
@@ -23,5 +23,5 @@
 </h3>
 <br />
-<table i18n:domain="waeup.kofa" class="dataTable">
+<table i18n:domain="waeup.kofa" class="kofa-data-table dataTable">
 <thead>
   <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/configurationmanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/configurationmanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/configurationmanagepage.pt	(revision 11051)
@@ -27,5 +27,5 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/coursemanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/coursemanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/coursemanagepage.pt	(revision 11051)
@@ -28,5 +28,5 @@
     <div id="tab3" class="tab-pane">
       <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterfinishedpage.pt	(revision 11051)
@@ -4,5 +4,5 @@
   imports. The files contain the imported datasets.
 </p>
-<table i18n:domain="waeup.kofa" class="dataTableFiles">
+<table i18n:domain="waeup.kofa" class="kofa-data-table dataTableFiles">
   <thead>
     <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterpage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterpage.pt	(revision 11051)
@@ -11,5 +11,5 @@
 <form action="." tal:attributes="action request/URL" method="post"
       i18n:domain="waeup.kofa" enctype="multipart/form-data">
-    <table i18n:domain="waeup.kofa" class="data-table dataTableManageFiles">
+    <table i18n:domain="waeup.kofa" class="kofa-data-table dataTableManageFiles">
       <thead>
         <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/departmentmanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/departmentmanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/departmentmanagepage.pt	(revision 11051)
@@ -32,5 +32,5 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
@@ -62,5 +62,5 @@
     <div id="tab3" class="tab-pane">
       <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
@@ -91,5 +91,5 @@
     </div>
     <div id="tab4" class="tab-pane"> <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/departmentpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/departmentpage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/departmentpage.pt	(revision 11051)
@@ -10,5 +10,5 @@
   <div id="tab1" class="active tab-pane">
     <br />
-    <table class="dataTable">
+    <table class="kofa-data-table dataTable">
       <thead>
         <tr>
@@ -33,5 +33,5 @@
   <div id="tab2" class="tab-pane">
     <br />
-    <table class="dataTable">
+    <table class="kofa-data-table dataTable">
       <thead>
         <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultymanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultymanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/facultymanagepage.pt	(revision 11051)
@@ -64,5 +64,5 @@
     </div>
     <div id="tab3" class="tab-pane"> <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/findstudentspage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/findstudentspage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/findstudentspage.pt	(revision 11051)
@@ -25,5 +25,5 @@
   <input type="hidden" name="old_searchtype"
        tal:attributes="value view/searchtype" />
-  <table class="dataTable">
+  <table class="kofa-data-table dataTable">
     <thead>
     <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/searchpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/searchpage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/searchpage.pt	(revision 11051)
@@ -13,5 +13,5 @@
 <span  i18n:domain="waeup.kofa" tal:condition="view/hitlist">
     <h3 i18n:translate="">Search Results</h3>
-    <table class="dataTable">
+    <table class="kofa-data-table dataTable">
         <thead>
             <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/userscontainerpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/userscontainerpage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/userscontainerpage.pt	(revision 11051)
@@ -1,3 +1,3 @@
-<table i18n:domain="waeup.kofa" class="table table-striped dataTable">
+<table i18n:domain="waeup.kofa" class="kofa-data-table dataTable">
   <thead>
     <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/containermanagepage.pt	(revision 11051)
@@ -34,5 +34,5 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/hostels/browser_templates/hostelmanagepage.pt	(revision 11051)
@@ -44,5 +44,5 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/accommodationmanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/accommodationmanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/accommodationmanagepage.pt	(revision 11051)
@@ -2,5 +2,5 @@
       i18n:domain="waeup.kofa" enctype="multipart/form-data">
 
-  <table class="display dataTableManage">
+  <table class="kofa-data-table dataTableManage">
     <thead>
     <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 11051)
@@ -30,5 +30,5 @@
     <span  i18n:translate="">Select all</span>
     <br /><br />
-    <table class="display dataTableManage">
+    <table class="kofa-data-table dataTableManage">
       <thead>
     	<tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 11051)
@@ -33,5 +33,5 @@
   <input type="hidden" name="old_searchtype"
        tal:attributes="value view/searchtype" />
-  <table class="table table-striped dataTable">
+  <table class="kofa-data-table dataTable">
     <thead>
     <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/editscorespage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/editscorespage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/editscorespage.pt	(revision 11051)
@@ -2,5 +2,5 @@
   <br />
 
-  <table class="display dataTable">
+  <table class="kofa-data-table dataTable">
     <thead>
   	<tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/filterstudentspage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/filterstudentspage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/filterstudentspage.pt	(revision 11051)
@@ -51,5 +51,5 @@
       <span tal:replace="view/level_string">LEVEL</span>
     </h3>
-    <table class="display dataTable">
+    <table class="kofa-data-table dataTable">
       <thead>
     	<tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/paymentsmanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/paymentsmanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/paymentsmanagepage.pt	(revision 11051)
@@ -2,5 +2,5 @@
       i18n:domain="waeup.kofa" enctype="multipart/form-data">
 
-  <table class="display dataTableManage">
+  <table class="kofa-data-table dataTableManage">
     <thead>
     <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursemanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursemanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studycoursemanagepage.pt	(revision 11051)
@@ -34,5 +34,5 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt	(revision 11051)
@@ -8,5 +8,5 @@
       tal:replace="view/context/total_credits">TOTAL</span>)
   </h3>
-  <table class="display dataTableManage">
+  <table class="kofa-data-table dataTableManage">
   <thead>
     <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt	(revision 11051)
@@ -34,5 +34,5 @@
     <div id="tab2" class="tab-pane">
       <br />
-      <table class="display dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelpage.pt	(revision 11050)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelpage.pt	(revision 11051)
@@ -18,5 +18,5 @@
 <h3 i18n:domain="waeup.kofa" i18n:translate="">Course Tickets</h3>
 
-<table class="dataTable" i18n:domain="waeup.kofa">
+<table class="kofa-data-table dataTable" i18n:domain="waeup.kofa">
   <thead>
     <tr>