Index: /main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 11054)
+++ /main/waeup.kofa/branches/uli-diazo-themed/layout/static/css/base.css	(revision 11055)
@@ -173,4 +173,14 @@
 }
 
+.value select:focus, .phone-input:focus,
+.textType:focus, textarea:focus,
+.dataTables_filter input:focus,
+.ordered-selection-field select:focus {
+  border-color: #66afe9;
+  outline: 0;
+  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);
+          box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(102, 175, 233, 0.6);
+}
+
 .value select, .half {
     width: 50%;
Index: /main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 11054)
+++ /main/waeup.kofa/branches/uli-diazo-themed/layout/theme.html	(revision 11055)
@@ -389,34 +389,16 @@
               <tbody>
                 <tr>
-                  <td class="fieldname">
-                    Code:
-                  </td>
-                  <td>
-                    app2012
-                  </td>
-                </tr>
-                <tr>
-                  <td class="fieldname">
-                    Application Target:
-                  </td>
-                  <td>
-                    General Studies
-                  </td>
-                </tr>
-                <tr>
-                  <td class="fieldname">
-                    Year of Entrance:
-                  </td>
-                  <td>
-                    2012
-                  </td>
-                </tr>
-                <tr>
+                  <td class="fieldname">Code:</td>
+                  <td>app2012</td>
+                </tr>
+                <tr>
+                 <td class="fieldname">Application Target:</td>
+                  <td>General Studies</td>
+                </tr>
+                 <tr>
                   <td class="fieldname">
                     Application Mode (Donec id elit non mi porta gravida.):
                   </td>
-                  <td>
-                    Create Application Records
-                  </td>
+                  <td>Create Application Records</td>
                 </tr>
               </tbody>
@@ -428,16 +410,9 @@
               <tbody>
                 <tr>
-                  <td class="fieldname">
-                    <span>Code</span>:
-                  </td>
-                  <td>
-                    <span>app2012</span>
-                  </td>
-                </tr>
-                <tr>
-                  <td class="fieldname">
-                    <span>*</span>
-                    <span>Title</span>:
-                  </td>
+                  <td class="fieldname">Code:</td>
+                  <td>app2012</td>
+                </tr>
+                <tr>
+                  <td class="fieldname">* Title:</td>
                   <td>
                     <input class="textType" id="form.title" name="form.title"
@@ -447,26 +422,30 @@
                 </tr>
                 <tr>
-                  <td class="fieldname">
-                    <span>Application Target</span>:
-                  </td>
+                  <td class="fieldname">Any phone number:</td>
                   <td>
-                    <span>General Studies</span>
-                  </td>
-                </tr>
-                <tr>
-                  <td class="fieldname">
-                    <span>Year of Entrance</span>:
-                  </td>
+                    <select id="form.phone.country" name="form.phone.country"
+                              size="1" class="phone-input">
+                      <option value="+234">Nigeria (+234)</option>
+                      <option value="+49">Germany (+49)</option>
+                      <option value="+1">U.S. (+1)</option>
+                    </select>-
+                    <input class=" phone-input textType" id="form.phone.area"
+                           name="form.phone.area" size="20" type="text"
+                           value="" />-
+                    <input class=" phone-input textType" id="form.phone.ext"
+                           name="form.phone.ext" size="20" type="text" value="" />
+                  </td>
+                </tr>
+                <tr>
+                  <td class="fieldname">Any text field:</td>
                   <td>
-                    <span>2012</span>
-                  </td>
-                </tr>
-                <tr>
-                  <td class="fieldname">
-                    <span>*</span>
-                    <span>
+                      <textarea id="any_id"
+                          name="any_name" rows="5">Placeholder text</textarea>
+                  </td>
+                </tr>
+                <tr>
+                  <td class="fieldname">*
                       Application Mode
-                      (A select field coming from zope.formlib:)
-                    </span>:
+                      (A select field coming from zope.formlib):
                   </td>
                   <td>
@@ -485,7 +464,5 @@
                 </tr>
                 <tr>
-                  <td class="fieldname">
-                      <span>A datepicker field</span>:
-                  </td>
+                  <td class="fieldname">A datepicker field:</td>
                   <td>
                     <input class="datepicker-le-year textType"