Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 11056)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 11057)
@@ -1,21 +1,28 @@
-<form method="POST" i18n:domain="waeup.kofa">
+<form method="POST" i18n:domain="waeup.kofa" class="form-inline">
 <br />
-  <input class="btn primary" type="submit" name="search"
-    tal:attributes="value view/search_button" />
-
-  <select name="searchtype" class="form-control">
-    <option i18n:translate="" value="student_id">with id</option>
-    <option i18n:translate="" value="fullname">with name</option>
-    <option i18n:translate="" value="reg_number">with registration number</option>
-    <option i18n:translate="" value="matric_number">with matriculation number</option>
-    <option i18n:translate="" value="current_session">in session</option>
-    <option i18n:translate="" value="depcode">in department</option>
-    <option i18n:translate="" value="current_mode">in study mode</option>
-    <option i18n:translate="" value="suspended">
-      with deactivated account (search term omitted)
-    </option>
-  </select>
-
-  <input type="text" name="searchterm" />
+  <div class="form-group">
+    <input class="btn btn-primary" type="submit" name="search"
+      tal:attributes="value view/search_button" />
+  </div>
+  <div class="form-group">
+    <select name="searchtype" class="form-control">
+      <option i18n:translate="" value="student_id">with id</option>
+      <option i18n:translate="" value="fullname">with name</option>
+      <option i18n:translate="" value="reg_number">with registration number</option>
+      <option i18n:translate="" value="matric_number">with matriculation number</option>
+      <option i18n:translate="" value="current_session">in session</option>
+      <option i18n:translate="" value="depcode">in department</option>
+      <option i18n:translate="" value="current_mode">in study mode</option>
+      <option i18n:translate="" value="suspended">
+        with deactivated account (search term omitted)
+      </option>
+      <option i18n:translate="" value="transcript">
+        who requested transcript (search term omitted)
+      </option>
+    </select>
+  </div>
+  <div class="form-group">
+    <input type="text" class="form-control" name="searchterm" />
+  </div>
 
   <p>&nbsp;</p>
@@ -27,6 +34,4 @@
          tal:attributes="value view/searchtype" />
 
-    <input type="checkbox" onClick="toggle(this, 'entries')" />
-    <span  i18n:translate="">Select all</span>
     <br /><br />
     <table class="kofa-data-table dataTableManage">
@@ -59,7 +64,9 @@
       </tbody>
     </table>
-    
+    <input type="checkbox" onClick="toggle(this, 'entries')" />
+    <span  i18n:translate="">Select all</span>
+    <br /><br />
     <input type="submit" name="remove"
-           tal:attributes="value view/remove_button" class="btn"
+           tal:attributes="value view/remove_button" class="btn btn-default"
            onclick="return confirmPost('Are you sure?')"/>
 
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 11056)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containerpage.pt	(revision 11057)
@@ -26,5 +26,5 @@
   </div>
 </form>
-<p>&nbsp;</p>
+<br />
 <div tal:condition="view/hitlist">
   <h3 i18n:translate="">Search Results</h3>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/loginasstep2.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/loginasstep2.pt	(revision 11056)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/loginasstep2.pt	(revision 11057)
@@ -9,5 +9,5 @@
   <input type="hidden" name="form.login" tal:attributes="value view/context/student_id" />
   <input type="hidden" name="form.password"   tal:attributes="value view/password" />
-  <input class="btn primary" type="submit" name="SUBMIT"
+  <input class="btn btn-primary" type="submit" name="SUBMIT"
     tal:attributes="value view/login_button" />
 </form>