Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/filedisplay.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/filedisplay.pt	(revision 11057)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/filedisplay.pt	(revision 11058)
@@ -4,5 +4,5 @@
   </td>
   <td>
-    <a tal:attributes="href viewlet/download_name"
+    <a tal:attributes="href python: view.url(context, viewlet.download_name)"
        tal:content="viewlet/download_name"
        target="image">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/fileupload.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/fileupload.pt	(revision 11057)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/fileupload.pt	(revision 11058)
@@ -5,5 +5,5 @@
   <td>
     <tal:file tal:condition="viewlet/file_exists">
-      <a tal:attributes="href viewlet/download_name"
+      <a tal:attributes="href python: view.url(context, viewlet.download_name)"
          tal:content="viewlet/title"
          target="image">
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/imagedisplay.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/imagedisplay.pt	(revision 11057)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/imagedisplay.pt	(revision 11058)
@@ -4,5 +4,6 @@
   </td>
   <td>
-      <img height="125px" tal:attributes="src viewlet/download_name" />
+      <img height="125px"
+         tal:attributes="src python: view.url(context, viewlet.download_name)" />
       <br />
   </td>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/imageupload.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/imageupload.pt	(revision 11057)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/imageupload.pt	(revision 11058)
@@ -5,5 +5,5 @@
   <td>
     <img align="middle" height="125px"
-         tal:attributes="src viewlet/download_name" />
+         tal:attributes="src python: view.url(context, viewlet.download_name)" />
     <input type="submit" tal:condition="viewlet/file_exists"
      tal:attributes="id python:('delete_%s' % viewlet.input_name);
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/tests/test_browser.py	(revision 11057)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/tests/test_browser.py	(revision 11058)
@@ -613,5 +613,5 @@
         # There is a correct <img> link included
         self.assertTrue(
-            '<a target="image" href="birth_certificate">'
+            'href="http://localhost/app/students/K1000000/birth_certificate"'
             in self.browser.contents)
         # Browsing the link shows a real image
@@ -673,5 +673,5 @@
             name='upload_passportuploadmanage').click()
         self.assertTrue(
-            '<img align="middle" height="125px" src="passport.jpg" />'
+            'src="http://localhost/app/students/K1000000/passport.jpg"'
             in self.browser.contents)
         # We remove the passport file again
@@ -2268,5 +2268,5 @@
             name='upload_passportuploadedit').click()
         self.assertTrue(
-            '<img align="middle" height="125px" src="passport.jpg" />'
+            'src="http://localhost/app/students/K1000000/passport.jpg"'
             in self.browser.contents)
         # Students can open admission letter
@@ -2326,5 +2326,5 @@
             name='upload_birthcertificateupload').click()
         self.assertTrue(
-            '<a target="image" href="birth_certificate">Birth Certificate Scan</a>'
+            'href="http://localhost/app/students/K1000000/birth_certificate"'
             in self.browser.contents)
         # Students can open clearance slip