Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/exportjobsindex.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/exportjobsindex.pt	(revision 11058)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/exportjobsindex.pt	(revision 11059)
@@ -34,5 +34,5 @@
         <a href="" class="btn btn-default btn-xs" i18n:translate=""
            tal:condition="job/show_refresh_button">
-          <img tal:attributes="src static/actionicon_reload.png" />
+          <img src="/static/img/actionicon_reload.png" />
           Reload
         </a>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterexportpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 11058)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/datacenterexportpage.pt	(revision 11059)
@@ -77,5 +77,5 @@
         <a href="" class="btn btn-default btn-xs" i18n:translate=""
            tal:condition="job/show_refresh_button">
-          <img tal:attributes="src static/actionicon_reload.png" />
+          <img src="/static/img/actionicon_reload.png" />
           Reload
         </a>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/reportscontainerpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/reportscontainerpage.pt	(revision 11058)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/reportscontainerpage.pt	(revision 11059)
@@ -39,5 +39,5 @@
           <a href="" class="btn btn-sm btn-default" i18n:translate=""
              tal:condition="python: entry[5]">
-            <img tal:attributes="src static/actionicon_reload.png" />
+            <img src="/static/img/actionicon_reload.png" />
             Reload
           </a>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/viewlets.py
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/viewlets.py	(revision 11058)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/viewlets.py	(revision 11059)
@@ -124,20 +124,5 @@
         """Get the icon URL.
         """
-        static = self.view.static
-        if static is None or static.get(self.icon, None) is None:
-            # In derived classes defined in other modules/packages
-            # than w.k.browser, ``static`` might refer to a static dir
-            # local to the derived class' module. As we often like to
-            # get the icons from here
-            # (i.e. waeup.kofa.browser/static), we set the directory
-            # resource appropiately.
-            #
-            # XXX: The hardcoding of 'w.k.browser' should be replaced
-            #      by something smarter.
-            #
-            # TODO: notes in here should go to general documentation.
-            static = queryAdapter(
-                self.request, Interface, name='waeup.kofa.browser')
-        return static[self.icon]()
+        return '/static/img/%s' % self.icon
 
     @property
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 11058)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/exportjobsindex.pt	(revision 11059)
@@ -34,5 +34,5 @@
         <a href="" class="btn btn-default" i18n:translate=""
            tal:condition="job/show_refresh_button">
-          <img tal:attributes="src static/actionicon_reload.png" />
+          <img src="/static/img/actionicon_reload.png" />
           Reload
         </a>