Index: /main/waeup.kofa/branches/uli-diazo-themed/layout/rules.xml
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/layout/rules.xml	(revision 11059)
+++ /main/waeup.kofa/branches/uli-diazo-themed/layout/rules.xml	(revision 11060)
@@ -11,5 +11,5 @@
   <notheme css:if-content="div#error-area" />
 
-  <!-- use error page if there is a <table class="layout"> 
+  <!-- use error page if there is a <table class="layout">
        tag in content. This tag is rendered in Zope 3 errors. -->
   <rules css:if-content="table#layout">
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantsrootpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantsrootpage.pt	(revision 11059)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantsrootpage.pt	(revision 11060)
@@ -14,5 +14,5 @@
   </thead>
   <tbody>
-    <tr tal:repeat="entry view/containers" class="gradeC">
+    <tr tal:repeat="entry view/containers">
       <td tal:content="entry/year">Year
       </td>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt	(revision 11059)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt	(revision 11060)
@@ -1,17 +1,21 @@
-<form method="POST" i18n:domain="waeup.kofa">
+<form method="POST" i18n:domain="waeup.kofa" class="form-inline">
 <br />
-  <input class="btn primary" type="submit" name="search"
-    tal:attributes="value view/search_button" />
+  <div class="form-group">
+    <input class="btn btn-primary" type="submit" name="search"
+      tal:attributes="value view/search_button" />
+  </div>
+  <div class="form-group">
+    <select name="searchtype" class="form-control">
+      <option i18n:translate="" value="applicant_id">with id</option>
+      <option i18n:translate="" value="fullname">with name</option>
+      <option i18n:translate="" value="reg_number">with registration number</option>
+      <option i18n:translate="" value="email">with email address</option>
+    </select>
+  </div>
+  <div class="form-group">
+    <input type="text" class="form-control" name="searchterm" />
+  </div>
 
-  <select name="searchtype" class="form-control">
-    <option i18n:translate="" value="applicant_id">with id</option>
-    <option i18n:translate="" value="fullname">with name</option>
-    <option i18n:translate="" value="reg_number">with registration number</option>
-    <option i18n:translate="" value="email">with email address</option>
-  </select>
-
-  <input type="text" name="searchterm" />
-
-  <p>&nbsp;</p>
+  <br /><br />
   <div tal:condition="view/results">
     <h3 i18n:translate="">Search Results</h3>
@@ -30,5 +34,5 @@
       </thead>
       <tbody>
-      <tr tal:repeat="item view/results" class="gradeC">
+      <tr tal:repeat="item view/results">
         <td> <a tal:attributes="href python:view.url(item)">
           <span tal:content="item/applicant_id">XXXX_1234</span></a>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/studentsitelayout.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/studentsitelayout.pt	(revision 11059)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/templates/studentsitelayout.pt	(revision 11060)
@@ -95,5 +95,5 @@
         </div>
       </div>
-      <div class="alert-message error"
+      <div class="alert alert-danger"
         tal:define="status view/status|nothing"
         tal:condition="status">
@@ -116,4 +116,8 @@
         THE CONTENT
       </div>
+      <div id="bottom" class="pull-right">
+        <a i18n:translate="" href="#">Back to top</a>
+      </div>
+      <br />
     </div>
     <!-- /Diazo element-->
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser.py
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser.py	(revision 11059)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser.py	(revision 11060)
@@ -257,5 +257,5 @@
     grok.require('waeup.viewStudentsContainer')
     grok.template('containerpage')
-    label = _('Student Section')
+    label = _('Find students')
     search_button = _('Find student(s)')
     pnav = 4
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 11059)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/containermanagepage.pt	(revision 11060)
@@ -47,5 +47,5 @@
       </thead>
       <tbody>
-    	<tr tal:repeat="item view/hitlist" class="gradeC">
+    	<tr tal:repeat="item view/hitlist">
     	  <td><input type="checkbox" name="entries"
     	             tal:attributes="value item/context/__name__" /></td>
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/editscorespage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/editscorespage.pt	(revision 11059)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/editscorespage.pt	(revision 11060)
@@ -16,5 +16,5 @@
     </thead>
     <tbody>
-  	<tr tal:repeat="ticket view/tickets" class="gradeC">
+  	<tr tal:repeat="ticket view/tickets">
       <td tal:content="ticket/student/matric_number">MATRIC_NUMBER</td>
   	  <td tal:condition="ticket/editable_by_lecturer">
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/filterstudentspage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/filterstudentspage.pt	(revision 11059)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/filterstudentspage.pt	(revision 11060)
@@ -65,5 +65,5 @@
       </thead>
       <tbody>
-    	<tr tal:repeat="item view/hitlist" class="gradeC">
+    	<tr tal:repeat="item view/hitlist">
     	  <td> <a tal:attributes="href item/url"
                 target="_blank">
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt	(revision 11059)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studyleveleditpage.pt	(revision 11060)
@@ -23,5 +23,5 @@
   </thead>
   <tbody>
-    <tr tal:repeat="value view/translated_values" class="gradeC">
+    <tr tal:repeat="value view/translated_values">
        <td>
         <input type="checkbox" name="val_id"
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt	(revision 11059)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/studylevelmanagepage.pt	(revision 11060)
@@ -33,5 +33,5 @@
 
     <div id="tab2" class="tab-pane">
-      <br />
+      <br /><br />
       <table class="kofa-data-table dataTableManage">
         <thead>
@@ -51,5 +51,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="value view/translated_values" class="gradeC">
+          <tr tal:repeat="value view/translated_values">
             <td>
               <input type="checkbox" name="val_id"
Index: /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/transcript.pt
===================================================================
--- /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/transcript.pt	(revision 11059)
+++ /main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/transcript.pt	(revision 11060)
@@ -45,5 +45,5 @@
       <tal:semesters tal:repeat="semester_tickets python:(level['tickets_1'],
                                       level['tickets_2'], level['tickets_3'])">
-      <tr tal:repeat="ticket semester_tickets" class="gradeC">
+      <tr tal:repeat="ticket semester_tickets">
         <td tal:content="python: view.level_dict[ticket.level]">LEVEL</td>
         <td tal:content="python: view.session_dict[ticket.level_session]">SESSION</td>