Index: in/waeup.skeleton/branches/uli-diazo-themed/.installed.cfg
===================================================================
--- /main/waeup.skeleton/branches/uli-diazo-themed/.installed.cfg	(revision 11077)
+++ 	(revision )
@@ -1,320 +1,0 @@
-[buildout]
-installed_develop_eggs = /kofa/waeup.skeleton/develop-eggs/waeup.kofa.egg-link
-	/kofa/waeup.skeleton/develop-eggs/waeup.skeleton.egg-link
-	/kofa/waeup.skeleton/develop-eggs/kofacustom.nigeria.egg-link
-parts = _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log
-
-[_mr.developer]
-__buildout_installed__ = /kofa/waeup.skeleton/bin/develop
-__buildout_signature__ = zc.recipe.egg-2.0.0a3-py2.7.egg distribute-0.6.10-py2.7.egg zc.buildout-2.1.0-py2.7.egg
-_b = /kofa/waeup.skeleton/bin
-_d = /kofa/waeup.skeleton/develop-eggs
-_e = /kofa/eggs
-bin-directory = /kofa/waeup.skeleton/bin
-develop-eggs-directory = /kofa/waeup.skeleton/develop-eggs
-eggs = mr.developer
-eggs-directory = /kofa/eggs
-recipe = zc.recipe.egg
-
-[eggbasket]
-__buildout_installed__ = 
-__buildout_signature__ = z3c.recipe.eggbasket-0.4.3-py2.7.egg zc.recipe.egg-2.0.0a3-py2.7.egg zc.buildout-2.1.0-py2.7.egg distribute-0.6.10-py2.7.egg zc.buildout-2.1.0-py2.7.egg
-_d = /kofa/waeup.skeleton/develop-eggs
-_e = /kofa/eggs
-develop-eggs-directory = /kofa/waeup.skeleton/develop-eggs
-eggs = grok
-eggs-directory = /kofa/eggs
-recipe = z3c.recipe.eggbasket
-url = http://grok.zope.org/releaseinfo/grok-eggs-1.1.tgz
-
-[app]
-__buildout_installed__ = /kofa/waeup.skeleton/bin/kofa-debug
-	/kofa/waeup.skeleton/bin/kofactl
-	/kofa/waeup.skeleton/bin/paster
-	/kofa/waeup.skeleton/bin/fstail
-	/kofa/waeup.skeleton/bin/zeopack
-	/kofa/waeup.skeleton/bin/runzeo
-	/kofa/waeup.skeleton/bin/zeopasswd
-	/kofa/waeup.skeleton/bin/zeoctl
-	/kofa/waeup.skeleton/bin/fsdump
-	/kofa/waeup.skeleton/bin/fsrefs
-	/kofa/waeup.skeleton/bin/repozo
-	/kofa/waeup.skeleton/bin/fsoids
-	/kofa/waeup.skeleton/bin/paster
-	/kofa/waeup.skeleton/bin/python-console
-__buildout_signature__ = zc.recipe.egg-2.0.0a3-py2.7.egg distribute-0.6.10-py2.7.egg zc.buildout-2.1.0-py2.7.egg
-_b = /kofa/waeup.skeleton/bin
-_d = /kofa/waeup.skeleton/develop-eggs
-_e = /kofa/eggs
-bin-directory = /kofa/waeup.skeleton/bin
-develop-eggs-directory = /kofa/waeup.skeleton/develop-eggs
-eggs = waeup.skeleton [beaker]
-	z3c.evalexception>=2.0
-	Paste
-	PasteScript
-	PasteDeploy
-	repoze.profile
-	ZODB3
-eggs-directory = /kofa/eggs
-interpreter = python-console
-recipe = zc.recipe.egg
-
-[i18n]
-__buildout_installed__ = /kofa/waeup.skeleton/bin/i18nextract
-	/kofa/waeup.skeleton/bin/i18nmergeall
-	/kofa/waeup.skeleton/bin/i18nstats
-	/kofa/waeup.skeleton/bin/i18ncompile
-__buildout_signature__ = z3c.recipe.i18n-0.6.0-py2.7.egg zope.configuration-3.7.1-py2.7.egg zope.app.locales-3.6.0-py2.7.egg zope.app.appsetup-3.13.0-py2.7.egg zc.recipe.egg-2.0.0a3-py2.7.egg zc.buildout-2.1.0-py2.7.egg distribute-0.6.10-py2.7.egg zope.schema-3.8.0-py2.7.egg zope.interface-3.6.3-py2.7-linux-i686.egg zope.i18nmessageid-3.5.0-py2.7-linux-i686.egg zope.app.applicationcontrol-3.5.5-py2.7.egg zope.tal-3.5.2-py2.7.egg zope.traversing-3.12.0-py2.7.egg zope.testing-3.10.2-py2.7.egg zope.site-3.9.0-py2.7.egg zope.session-3.9.2-py2.7.egg zope.security-3.7.2-py2.7-linux-i686.egg zope.processlifetime-1.0-py2.7.egg zope.event-3.4.1-py2.7.egg zope.error-3.7.0-py2.7.egg zope.container-3.11.0-py2.7-linux-i686.egg zope.component-3.9.1-py2.7.egg zope.app.publication-3.10.2-py2.7.egg ZODB3-3.10.3-py2.7-linux-i686.egg zc.buildout-2.1.0-py2.7.egg zope.traversing-3.12.0-py2.7.egg zope.size-3.4.1-py2.7.egg zope.security-3.7.2-py2.7-linux-i686.egg zope.location-3.9.0-py2.7.egg zope.component-3.9.1-py2.7.egg zope.applicationcontrol-3.5.5-py2.7.egg zope.location-3.9.0-py2.7.egg zope.publisher-3.12.2-py2.7.egg zope.proxy-3.5.0-py2.7-linux-i686.egg zope.i18n-3.7.2-py2.7.egg zope.exceptions-3.5.2-py2.7.egg zope.lifecycleevent-3.6.0-py2.7.egg zope.annotation-3.5.0-py2.7.egg zope.minmax-1.1.2-py2.7.egg zope.proxy-3.5.0-py2.7-linux-i686.egg zope.broken-3.6.0-py2.7.egg zope.filerepresentation-3.6.0-py2.7.egg zope.lifecycleevent-3.6.0-py2.7.egg zope.location-3.9.0-py2.7.egg zope.dottedname-3.4.6-py2.7.egg zope.traversing-3.12.0-py2.7.egg zope.publisher-3.12.2-py2.7.egg zope.browser-1.2-py2.7.egg zope.authentication-3.7.0-py2.7.egg zdaemon-2.0.4-py2.7.egg ZConfig-2.7.1-py2.7.egg zc.lockfile-1.0.0-py2.7.egg transaction-1.1.0-py2.7.egg zope.proxy-3.5.0-py2.7-linux-i686.egg zope.schema-3.8.0-py2.7.egg zope.contenttype-3.5.0-py2.7.egg zope.browser-1.2-py2.7.egg pytz-2010b-py2.7.egg zope.component-3.9.1-py2.7.egg
-_b = /kofa/waeup.skeleton/bin
-_d = /kofa/waeup.skeleton/develop-eggs
-_e = /kofa/eggs
-bin-directory = /kofa/waeup.skeleton/bin
-develop-eggs-directory = /kofa/waeup.skeleton/develop-eggs
-domain = waeup.skeleton
-eggs = waeup.skeleton
-	zope.app.locales [extract]
-eggs-directory = /kofa/eggs
-output = src/waeup/skeleton/locales
-packages = waeup.skeleton
-recipe = z3c.recipe.i18n:i18n
-zcml = 
-
-[test]
-__buildout_installed__ = /kofa/waeup.skeleton/parts/test
-	/kofa/waeup.skeleton/bin/test
-__buildout_signature__ = zc.recipe.testrunner-2.0.0-py2.7.egg zc.recipe.egg-2.0.0a3-py2.7.egg distribute-0.6.10-py2.7.egg zope.testrunner-4.3.3-py2.7.egg zc.buildout-2.1.0-py2.7.egg zope.interface-3.6.3-py2.7-linux-i686.egg zope.exceptions-3.5.2-py2.7.egg six-1.3.0-py2.7.egg
-_b = /kofa/waeup.skeleton/bin
-_d = /kofa/waeup.skeleton/develop-eggs
-_e = /kofa/eggs
-bin-directory = /kofa/waeup.skeleton/bin
-defaults = ['--tests-pattern', '^f?tests$', '-v']
-develop-eggs-directory = /kofa/waeup.skeleton/develop-eggs
-eggs = waeup.skeleton [beaker, test]
-eggs-directory = /kofa/eggs
-location = /kofa/waeup.skeleton/parts/test
-recipe = zc.recipe.testrunner
-script = /kofa/waeup.skeleton/bin/test
-
-[site_zcml]
-__buildout_installed__ = /kofa/waeup.skeleton/parts/etc
-	/kofa/waeup.skeleton/parts/etc/site.zcml
-__buildout_signature__ = collective.recipe.template-1.4-py2.7.egg zc.buildout-2.1.0-py2.7.egg distribute-0.6.10-py2.7.egg
-input = etc/site.zcml.in
-output = /kofa/waeup.skeleton/parts/etc/site.zcml
-recipe = collective.recipe.template
-
-[zope_conf]
-__buildout_installed__ = /kofa/waeup.skeleton/parts/etc/zope.conf
-__buildout_signature__ = collective.recipe.template-1.4-py2.7.egg zc.buildout-2.1.0-py2.7.egg distribute-0.6.10-py2.7.egg
-blobstorage = /kofa/waeup.skeleton/var/blobstorage
-extra = 
-filestorage = /kofa/waeup.skeleton/var/filestorage
-input = etc/zope.conf.in
-logfiles = /kofa/waeup.skeleton/var/log
-output = /kofa/waeup.skeleton/parts/etc/zope.conf
-recipe = collective.recipe.template
-
-[mkdirs]
-__buildout_installed__ = 
-__buildout_signature__ = z3c.recipe.mkdir-0.3.1-py2.7.egg zc.buildout-2.1.0-py2.7.egg distribute-0.6.10-py2.7.egg
-path = /kofa/waeup.skeleton/var/filestorage
-	/kofa/waeup.skeleton/var/log
-	/kofa/waeup.skeleton/var/blobstorage
-	/kofa/waeup.skeleton/var/datacenter/media
-	/kofa/waeup.skeleton/parts/test/datacenter
-paths = /kofa/waeup.skeleton/var/filestorage
-	/kofa/waeup.skeleton/var/log
-	/kofa/waeup.skeleton/var/blobstorage
-	/kofa/waeup.skeleton/var/datacenter/media
-	/kofa/waeup.skeleton/parts/test/datacenter
-recipe = z3c.recipe.mkdir
-
-[zpasswd]
-__buildout_installed__ = /kofa/waeup.skeleton/bin/zpasswd
-__buildout_signature__ = z3c.recipe.dev-0.5.4-py2.7.egg zope.testing-3.10.2-py2.7.egg zc.recipe.egg-2.0.0a3-py2.7.egg zc.buildout-2.1.0-py2.7.egg distribute-0.6.10-py2.7.egg ZConfig-2.7.1-py2.7.egg zope.interface-3.6.3-py2.7-linux-i686.egg zope.exceptions-3.5.2-py2.7.egg zc.buildout-2.1.0-py2.7.egg
-_b = /kofa/waeup.skeleton/bin
-_d = /kofa/waeup.skeleton/develop-eggs
-_e = /kofa/eggs
-bin-directory = /kofa/waeup.skeleton/bin
-develop-eggs-directory = /kofa/waeup.skeleton/develop-eggs
-eggs = waeup.skeleton
-eggs-directory = /kofa/eggs
-location = /kofa/waeup.skeleton/parts/zpasswd
-method = main
-module = zope.app.server.zpasswd
-recipe = z3c.recipe.dev:script
-script = /kofa/waeup.skeleton/bin/zpasswd
-
-[zdaemon_conf]
-__buildout_installed__ = /kofa/waeup.skeleton/parts/etc/zdaemon.conf
-__buildout_signature__ = collective.recipe.template-1.4-py2.7.egg zc.buildout-2.1.0-py2.7.egg distribute-0.6.10-py2.7.egg
-input = etc/zdaemon.conf.in
-output = /kofa/waeup.skeleton/parts/etc/zdaemon.conf
-recipe = collective.recipe.template
-
-[deploy_ini]
-__buildout_installed__ = /kofa/waeup.skeleton/parts/etc/deploy.ini
-__buildout_signature__ = collective.recipe.template-1.4-py2.7.egg zc.buildout-2.1.0-py2.7.egg distribute-0.6.10-py2.7.egg
-input = etc/deploy.ini.in
-output = /kofa/waeup.skeleton/parts/etc/deploy.ini
-recipe = collective.recipe.template
-
-[debug_ini]
-__buildout_installed__ = /kofa/waeup.skeleton/parts/etc/debug.ini
-__buildout_signature__ = collective.recipe.template-1.4-py2.7.egg zc.buildout-2.1.0-py2.7.egg distribute-0.6.10-py2.7.egg
-input = etc/debug.ini.in
-output = /kofa/waeup.skeleton/parts/etc/debug.ini
-recipe = collective.recipe.template
-
-[profile_ini]
-__buildout_installed__ = /kofa/waeup.skeleton/parts/etc/profile.ini
-__buildout_signature__ = collective.recipe.template-1.4-py2.7.egg zc.buildout-2.1.0-py2.7.egg distribute-0.6.10-py2.7.egg
-input = etc/profile.ini.in
-output = /kofa/waeup.skeleton/parts/etc/profile.ini
-recipe = collective.recipe.template
-
-[waeupdocs]
-__buildout_installed__ = /kofa/waeup.skeleton/bin/waeupdocs
-	/kofa/waeup.skeleton/docs/build/Makefile
-	/kofa/waeup.skeleton/docs/build/make.bat
-__buildout_signature__ = collective.recipe.sphinxbuilder-0.7.0-py2.7.egg Sphinx-1.0.7-py2.7.egg docutils-0.7-py2.7.egg zc.recipe.egg-2.0.0a3-py2.7.egg zc.buildout-2.1.0-py2.7.egg distribute-0.6.10-py2.7.egg docutils-0.7-py2.7.egg Jinja2-2.3-py2.7.egg Pygments-1.2.2-py2.7.egg zc.buildout-2.1.0-py2.7.egg
-_b = /kofa/waeup.skeleton/bin
-_d = /kofa/waeup.skeleton/develop-eggs
-_e = /kofa/eggs
-bin-directory = /kofa/waeup.skeleton/bin
-build = /kofa/waeup.skeleton/docs/build
-develop-eggs-directory = /kofa/waeup.skeleton/develop-eggs
-eggs = waeup.skeleton[docs]
-eggs-directory = /kofa/eggs
-recipe = collective.recipe.sphinxbuilder
-source = /kofa/waeup.skeleton/docs/source
-
-[coverage-detect]
-__buildout_installed__ = /kofa/waeup.skeleton/parts/coverage-detect
-	/kofa/waeup.skeleton/bin/coverage-detect
-__buildout_signature__ = zc.recipe.testrunner-2.0.0-py2.7.egg zc.recipe.egg-2.0.0a3-py2.7.egg distribute-0.6.10-py2.7.egg zope.testrunner-4.3.3-py2.7.egg zc.buildout-2.1.0-py2.7.egg zope.interface-3.6.3-py2.7-linux-i686.egg zope.exceptions-3.5.2-py2.7.egg six-1.3.0-py2.7.egg
-_b = /kofa/waeup.skeleton/bin
-_d = /kofa/waeup.skeleton/develop-eggs
-_e = /kofa/eggs
-bin-directory = /kofa/waeup.skeleton/bin
-defaults = ['--tests-pattern', '^f?tests$', '-v', '--coverage', 'coverage']
-develop-eggs-directory = /kofa/waeup.skeleton/develop-eggs
-eggs = waeup.skeleton[beaker]
-eggs-directory = /kofa/eggs
-location = /kofa/waeup.skeleton/parts/coverage-detect
-recipe = zc.recipe.testrunner
-script = /kofa/waeup.skeleton/bin/coverage-detect
-
-[coverage-report]
-__buildout_installed__ = /kofa/waeup.skeleton/bin/coveragereport
-__buildout_signature__ = zc.recipe.egg-2.0.0a3-py2.7.egg distribute-0.6.10-py2.7.egg zc.buildout-2.1.0-py2.7.egg
-_b = /kofa/waeup.skeleton/bin
-_d = /kofa/waeup.skeleton/develop-eggs
-_e = /kofa/eggs
-arguments = ('/kofa/waeup.skeleton/parts/coverage-detect/working-directory/coverage', '/kofa/waeup.skeleton/coverage-report')
-bin-directory = /kofa/waeup.skeleton/bin
-develop-eggs-directory = /kofa/waeup.skeleton/develop-eggs
-eggs = z3c.coverage
-eggs-directory = /kofa/eggs
-recipe = zc.recipe.egg
-scripts = coveragereport
-
-[kofactl]
-__buildout_installed__ = /kofa/waeup.skeleton/bin/kofactl
-__buildout_signature__ = zc.recipe.egg-2.0.0a3-py2.7.egg distribute-0.6.10-py2.7.egg zc.buildout-2.1.0-py2.7.egg
-_b = /kofa/waeup.skeleton/bin
-_d = /kofa/waeup.skeleton/develop-eggs
-_e = /kofa/eggs
-arguments = "/kofa/waeup.skeleton/parts/etc/zdaemon.conf"
-bin-directory = /kofa/waeup.skeleton/bin
-develop-eggs-directory = /kofa/waeup.skeleton/develop-eggs
-eggs = waeup.skeleton [beaker]
-eggs-directory = /kofa/eggs
-recipe = zc.recipe.egg
-scripts = kofactl=kofactl
-
-[data]
-__buildout_installed__ = 
-__buildout_signature__ = zc.recipe.filestorage-1.0.1-py2.7.egg distribute-0.6.10-py2.7.egg zope.testing-3.10.2-py2.7.egg zc.buildout-2.1.0-py2.7.egg zope.interface-3.6.3-py2.7-linux-i686.egg zope.exceptions-3.5.2-py2.7.egg
-blob-dir = 
-path = /kofa/waeup.skeleton/parts/data/Data.fs
-recipe = zc.recipe.filestorage
-zconfig = <zodb>
-	%(__buildout_space__)s%(__buildout_space__)s<filestorage>
-	%(__buildout_space__)s%(__buildout_space__)s%(__buildout_space__)s%(__buildout_space__)spath /kofa/waeup.skeleton/parts/data/Data.fs
-	%(__buildout_space__)s%(__buildout_space__)s</filestorage>
-	</zodb>%(__buildout_space_n__)s
-
-[log]
-__buildout_installed__ = 
-__buildout_signature__ = zc.recipe.filestorage-1.0.1-py2.7.egg distribute-0.6.10-py2.7.egg zope.testing-3.10.2-py2.7.egg zc.buildout-2.1.0-py2.7.egg zope.interface-3.6.3-py2.7-linux-i686.egg zope.exceptions-3.5.2-py2.7.egg
-blob-dir = 
-path = /kofa/waeup.skeleton/parts/log/Data.fs
-recipe = zc.recipe.filestorage
-zconfig = <zodb>
-	%(__buildout_space__)s%(__buildout_space__)s<filestorage>
-	%(__buildout_space__)s%(__buildout_space__)s%(__buildout_space__)s%(__buildout_space__)spath /kofa/waeup.skeleton/parts/log/Data.fs
-	%(__buildout_space__)s%(__buildout_space__)s</filestorage>
-	</zodb>%(__buildout_space_n__)s
-
-[buildout]
-installed_develop_eggs = /kofa/waeup.skeleton/develop-eggs/waeup.kofa.egg-link
-	/kofa/waeup.skeleton/develop-eggs/waeup.skeleton.egg-link
-	/kofa/waeup.skeleton/develop-eggs/kofacustom.nigeria.egg-link
-
-[buildout]
-parts = eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log _mr.developer
-
-[buildout]
-parts = app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log _mr.developer eggbasket
-
-[buildout]
-parts = i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log _mr.developer eggbasket app
-
-[buildout]
-parts = test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log _mr.developer eggbasket app i18n
-
-[buildout]
-parts = site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log _mr.developer eggbasket app i18n test
-
-[buildout]
-parts = zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log _mr.developer eggbasket app i18n test site_zcml
-
-[buildout]
-parts = mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log _mr.developer eggbasket app i18n test site_zcml zope_conf
-
-[buildout]
-parts = zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs
-
-[buildout]
-parts = zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd
-
-[buildout]
-parts = deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf
-
-[buildout]
-parts = debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini
-
-[buildout]
-parts = profile_ini waeupdocs coverage-detect coverage-report kofactl data log _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini
-
-[buildout]
-parts = waeupdocs coverage-detect coverage-report kofactl data log _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini
-
-[buildout]
-parts = coverage-detect coverage-report kofactl data log _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs
-
-[buildout]
-parts = coverage-report kofactl data log _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect
-
-[buildout]
-parts = kofactl data log _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report
-
-[buildout]
-parts = data log _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl
-
-[buildout]
-parts = log _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data
-
-[buildout]
-parts = _mr.developer eggbasket app i18n test site_zcml zope_conf mkdirs zpasswd zdaemon_conf deploy_ini debug_ini profile_ini waeupdocs coverage-detect coverage-report kofactl data log
Index: in/waeup.skeleton/branches/uli-diazo-themed/.mr.developer.cfg
===================================================================
--- /main/waeup.skeleton/branches/uli-diazo-themed/.mr.developer.cfg	(revision 11077)
+++ 	(revision )
@@ -1,10 +1,0 @@
-[buildout]
-args = 'bin/buildout'
-
-[mr.developer]
-rewrites = 
-
-[develop]
-kofacustom.nigeria = auto
-waeup.kofa = auto
-