Index: main/waeup.skeleton/branches/uli-diazo-themed/buildout.cfg
===================================================================
--- main/waeup.skeleton/branches/uli-diazo-themed/buildout.cfg	(revision 11092)
+++ main/waeup.skeleton/branches/uli-diazo-themed/buildout.cfg	(revision 11093)
@@ -45,5 +45,5 @@
 
 [sources]
-waeup.kofa = svn https://svn.waeup.org/repos/main/waeup.kofa/trunk
+waeup.kofa = svn https://svn.waeup.org/repos/main/waeup.kofa/branches/uli-diazo-themed
 kofacustom.nigeria = svn https://svn.waeup.org/repos/main/kofacustom.nigeria/trunk
 
Index: main/waeup.skeleton/branches/uli-diazo-themed/setup.py
===================================================================
--- main/waeup.skeleton/branches/uli-diazo-themed/setup.py	(revision 11092)
+++ main/waeup.skeleton/branches/uli-diazo-themed/setup.py	(revision 11093)
@@ -95,6 +95,4 @@
       entry_points="""
       # Add entry points here
-      [hurry.resource.libraries]
-      waeup_custom = waeup.skeleton.browser.resources:waeup_custom
       [console_scripts]
       kofa-debug = grokcore.startup:interactive_debug_prompt
Index: main/waeup.skeleton/branches/uli-diazo-themed/src/waeup/skeleton/browser/resources.py
===================================================================
--- main/waeup.skeleton/branches/uli-diazo-themed/src/waeup/skeleton/browser/resources.py	(revision 11092)
+++ 	(revision )
@@ -1,30 +1,0 @@
-## $Id$
-##
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-import grok
-from waeup.kofa.browser.resources import (
-    Library, ResourceInclusion, waeup_base_css,
-    )
-
-#: All local resources are registered under the name ``waeup_custom``.
-waeup_custom = Library('waeup_custom', 'static')
-
-custom_theme = ResourceInclusion(
-    waeup_custom, 'custom_theme.css',
-    depends = [waeup_base_css])
-
-favicon = ResourceInclusion(waeup_custom, 'favicon.ico')
Index: main/waeup.skeleton/branches/uli-diazo-themed/src/waeup/skeleton/browser/theming.py
===================================================================
--- main/waeup.skeleton/branches/uli-diazo-themed/src/waeup/skeleton/browser/theming.py	(revision 11092)
+++ 	(revision )
@@ -1,33 +1,0 @@
-## $Id$
-##
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-import grok
-from waeup.kofa.browser.interfaces import ITheme
-from waeup.skeleton.browser.resources import custom_theme, favicon
-
-from waeup.skeleton.interfaces import MessageFactory as _
-
-class CustomTheme(grok.GlobalUtility):
-    """A custom theme based on the Kofa base theme.
-    """
-    grok.implements(ITheme)
-    grok.name('custom theme')
-
-    description = _(u'Skeleton Theme')
-
-    def getResources(self):
-        return [custom_theme, favicon]
Index: main/waeup.skeleton/branches/uli-diazo-themed/versions.cfg
===================================================================
--- main/waeup.skeleton/branches/uli-diazo-themed/versions.cfg	(revision 11092)
+++ main/waeup.skeleton/branches/uli-diazo-themed/versions.cfg	(revision 11093)
@@ -138,2 +138,16 @@
 # Added by buildout at 2014-02-12 18:41:55.482568
 zc.zodbrecipes = 0.6.2
+
+# Added by buildout at 2014-02-14 08:54:31.167366
+WebOb = 1.3.1
+diazo = 1.0.5
+repoze.xmliter = 0.5
+
+# Required by:
+# diazo==1.0.5
+experimental.cssselect = 0.3
+
+# Required by:
+# diazo==1.0.5
+# experimental.cssselect==0.3
+lxml = 3.3.1