Index: main/waeup.aaue/branches/henrik-diazo-themed/src/waeup/aaue/browser/resources.py
===================================================================
--- main/waeup.aaue/branches/henrik-diazo-themed/src/waeup/aaue/browser/resources.py	(revision 11099)
+++ 	(revision )
@@ -1,30 +1,0 @@
-## $Id$
-##
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-import grok
-from waeup.kofa.browser.resources import (
-    Library, ResourceInclusion, waeup_base_css,
-    )
-
-#: All local resources are registered under the name ``waeup_custom``.
-waeup_custom = Library('waeup_custom', 'static')
-
-custom_theme = ResourceInclusion(
-    waeup_custom, 'custom_theme.css',
-    depends = [waeup_base_css])
-
-favicon = ResourceInclusion(waeup_custom, 'favicon.ico')
Index: main/waeup.aaue/branches/henrik-diazo-themed/src/waeup/aaue/browser/static/custom_theme.css
===================================================================
--- main/waeup.aaue/branches/henrik-diazo-themed/src/waeup/aaue/browser/static/custom_theme.css	(revision 11099)
+++ 	(revision )
@@ -1,79 +1,0 @@
-.topbar-inner, .topbar .fill {
-  background-color: #930303;
-  background-image: -moz-linear-gradient(center top , #5f0500, #930303);
-  background-image: -khtml-gradient(linear, left top, left bottom, from(#5f0500), to(#930303));
-  background-image: -moz-linear-gradient(top, #5f0500, #930303);
-  background-image: -ms-linear-gradient(top, #5f0500, #930303);
-  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #5f0500), color-stop(100%, #930303));
-  background-image: -webkit-linear-gradient(top, #5f0500, #930303);
-  background-image: -o-linear-gradient(top, #5f0500, #930303);
-  background-image: linear-gradient(top, #5f0500, #930303);
-  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#5f0500', endColorstr='#930303', GradientType=0);
-}
-
-.topbar div > ul .active > a, .nav .active > a {
-  background-color: #930303;
-}
-
-.topbar h3 a:hover, .topbar .brand:hover, .topbar ul .active > a {
-  background-color: #930303;
-}
-
-.topbar div > ul a:hover, .nav a:hover {
-  background-color: #930303;
-}
-
-
-.topbar div > ul .menu-dropdown,
-.nav .menu-dropdown,
-.topbar div > ul .dropdown-menu,
-.nav .dropdown-menu {
-  background-color: #930303;
-}
-
-.topbar div > ul a.menu:hover,
-.nav a.menu:hover,
-.topbar div > ul li.open .menu,
-.nav li.open .menu,
-.topbar div > ul .dropdown-toggle:hover,
-.nav .dropdown-toggle:hover,
-.topbar div > ul .dropdown.open .dropdown-toggle,
-.nav .dropdown.open .dropdown-toggle {
-  background: #930303;
-}
-
-body {
-}
-
-.topbar div > ul .menu-dropdown li a:hover,
-.nav .menu-dropdown li a:hover,
-.topbar div > ul .dropdown-menu li a:hover,
-.nav .dropdown-menu li a:hover {
-  background-color: #5f0500;
-  background-repeat: repeat-x;
-  background-image: -khtml-gradient(linear, left top, left bottom, from(#930303), to(#191919));
-  background-image: -moz-linear-gradient(top, #5f0500, #5f0500);
-  background-image: -ms-linear-gradient(top, #5f0500, #5f0500);
-  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #5f0500), color-stop(100%, #5f0500));
-  background-image: -webkit-linear-gradient(top, #5f0500, #5f0500);
-  background-image: -o-linear-gradient(top, #5f0500, #5f0500);
-  background-image: linear-gradient(top, #5f0500, #5f0500);
-  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#5f0500', endColorstr='#5f0500', GradientType=0);
-  color: #ffffff;
-}
-
-.topbar div > ul .menu-dropdown li a, .nav .menu-dropdown li a, .topbar div > ul .dropdown-menu li a, .nav .dropdown-menu li a {
-    color: #ffffff;
-}
-
-a {
-  color: #930303;
-}
-
-a:hover {
-  color: #5f0500;
-}
-
-.topbar a {
-    color: white;
-}
Index: main/waeup.aaue/branches/henrik-diazo-themed/src/waeup/aaue/browser/tests.py
===================================================================
--- main/waeup.aaue/branches/henrik-diazo-themed/src/waeup/aaue/browser/tests.py	(revision 11099)
+++ main/waeup.aaue/branches/henrik-diazo-themed/src/waeup/aaue/browser/tests.py	(revision 11100)
@@ -49,13 +49,4 @@
         shutil.rmtree(self.dc_root)
 
-    def test_custom_theme(self):
-        self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
-        self.browser.open('http://localhost/app/configuration')
-        self.assertMatches('...AAUE Theme...', self.browser.contents)
-        self.browser.getControl(name="form.skin").value = ['custom theme']
-        self.browser.getControl("Save").click()
-        self.browser.open('http://localhost/app/configuration')
-        return
-
     #def test_access_live_url(self):
     #    # We can't access the system with basic authentication
Index: main/waeup.aaue/branches/henrik-diazo-themed/src/waeup/aaue/browser/theming.py
===================================================================
--- main/waeup.aaue/branches/henrik-diazo-themed/src/waeup/aaue/browser/theming.py	(revision 11099)
+++ 	(revision )
@@ -1,33 +1,0 @@
-## $Id$
-##
-## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
-## This program is free software; you can redistribute it and/or modify
-## it under the terms of the GNU General Public License as published by
-## the Free Software Foundation; either version 2 of the License, or
-## (at your option) any later version.
-##
-## This program is distributed in the hope that it will be useful,
-## but WITHOUT ANY WARRANTY; without even the implied warranty of
-## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-## GNU General Public License for more details.
-##
-## You should have received a copy of the GNU General Public License
-## along with this program; if not, write to the Free Software
-## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-##
-import grok
-from waeup.kofa.browser.interfaces import ITheme
-from waeup.aaue.browser.resources import custom_theme, favicon
-
-from waeup.aaue.interfaces import MessageFactory as _
-
-class CustomTheme(grok.GlobalUtility):
-    """A custom theme based on the Kofa base theme.
-    """
-    grok.implements(ITheme)
-    grok.name('custom theme')
-
-    description = _(u'AAUE Theme')
-
-    def getResources(self):
-        return [custom_theme, favicon]