Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/pages.py	(revision 11104)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/browser/pages.py	(revision 11105)
@@ -1824,5 +1824,5 @@
     @action(_('Add local role'), validator=NullValidator)
     def addLocalRole(self, **data):
-        return add_local_role(self, '3', **data)
+        return add_local_role(self,3,**data)
 
     @action(_('Remove selected local roles'))
@@ -2015,5 +2015,5 @@
     @action(_('Add local role'), validator=NullValidator)
     def addLocalRole(self, **data):
-        return add_local_role(self, 4, **data)
+        return add_local_role(self,4,**data)
 
     @action(_('Remove selected local roles'))
@@ -2146,5 +2146,5 @@
     @action(_('Add local role'), validator=NullValidator)
     def addLocalRole(self, **data):
-        return add_local_role(self, 2, **data)
+        return add_local_role(self,2,**data)
 
     @action(_('Remove selected local roles'))
@@ -2217,5 +2217,5 @@
     @action(_('Add local role'), validator=NullValidator)
     def addLocalRole(self, **data):
-        return add_local_role(self, 3, **data)
+        return add_local_role(self,3,**data)
 
     @action(_('Remove selected local roles'))
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/clearanceeditpage.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/clearanceeditpage.pt	(revision 11104)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/browser_templates/clearanceeditpage.pt	(revision 11105)
@@ -16,4 +16,5 @@
   <div class="tab-content">
     <div id="tab1" class="active tab-pane">
+      <br />
       <table class="form-table">
         <tbody>
@@ -30,4 +31,5 @@
 
     <div id="tab2" class="tab-pane">
+      <br />
       <table class="form-table">
         <tbody>
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/viewlets.py
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/viewlets.py	(revision 11104)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/students/viewlets.py	(revision 11105)
@@ -825,5 +825,5 @@
     size = file_size(upload)
     if size > max_size:
-        view.flash(_('Uploaded file is too big.'))
+        view.flash(_('Uploaded file is too big.'), type="danger")
         return False
     upload.seek(0) # file pointer moved when determining size
@@ -831,5 +831,5 @@
     upload.seek(0) # same here
     if file_format is None:
-        view.flash(_('Could not determine file type.'))
+        view.flash(_('Could not determine file type.'), type="danger")
         return False
     basename, expected_ext = os.path.splitext(download_name)
@@ -837,5 +837,5 @@
         if '.' + file_format != expected_ext:
             view.flash(_('${a} file extension expected.',
-                mapping = {'a':expected_ext[1:]}))
+                mapping = {'a':expected_ext[1:]}), type="danger")
             return False
     else:
@@ -843,5 +843,6 @@
             view.flash(
                 _('Only the following extensions are allowed: ${a}',
-                mapping = {'a':', '.join(ALLOWED_FILE_EXTENSIONS)}))
+                mapping = {'a':', '.join(ALLOWED_FILE_EXTENSIONS)}),
+                type="danger")
             return False
         download_name += '.' + file_format
@@ -891,5 +892,5 @@
     template = default_fileupload_template
     grok.require('waeup.uploadStudentFile')
-    tab_redirect = '#tab2'
+    tab_redirect = '#tab2-top'
     mus = 1024 * 150
     upload_button =_('Upload new file')
@@ -931,5 +932,5 @@
                         self.context, self.view.__name__) + self.tab_redirect)
             else:
-                self.view.flash(_('No local file selected.'))
+                self.view.flash(_('No local file selected.'), type="danger")
                 self.view.redirect(
                     self.view.url(
@@ -986,5 +987,5 @@
     mus = 1024 * 150
     download_name = u'birth_certificate'
-    tab_redirect = '#tab2'
+    tab_redirect = '#tab2-top'
 
 class Image(grok.View):
Index: main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/widgets/sequencewidget.pt
===================================================================
--- main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/widgets/sequencewidget.pt	(revision 11104)
+++ main/waeup.kofa/branches/uli-diazo-themed/src/waeup/kofa/widgets/sequencewidget.pt	(revision 11105)
@@ -1,4 +1,3 @@
-<table border="0" class="sequencewidget"
-  i18n:domain="waeup.kofa">
+<table i18n:domain="waeup.kofa">
   <tr tal:repeat="widget view/widgets">
     <td>